#
# spec file for package ghc-stm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name stm
Name:           ghc-%{pkg_name}
Version:        2.4.5.0
Release:        6.5
Summary:        Software Transactional Memory
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-rpm-macros

%description
Software Transactional Memory, or STM, is an abstraction for concurrent
communication. The main benefits of STM are /composability/ and /modularity/.
That is, using STM you can write concurrent abstractions that can be easily
composed with any other abstraction built using STM, without exposing the
details of how your abstraction ensures safety. This is typically not the case
with other forms of concurrent communication, such as locks or 'MVar's.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc changelog.md

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update stm to version 2.4.5.0.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Apr  9 2017 psimons@suse.com
- Update to version 2.4.4.1 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.4.4.1 revision 0 with cabal2obs.
* Thu Dec 24 2015 mimi.vx@gmail.com
- update to 2.4.4.1
  * Add support for base-4.9.0.0
  * Drop support for GHC 6.12 / base-4.2
* Fri Apr 10 2015 mimi.vx@gmail.com
- update to 2.4.4
  * Add support for `base-4.8.0.0`
  * Tighten Safe Haskell bounds
  * Add `mkWeakTMVar` to `Control.Concurrent.STM.TMVar`
  * Add `@since`-annotations
  * Update behaviour of `newBroadcastTChanIO` to match
    `newBroadcastTChan` in causing an error on a read from the
    broadcast channel
  * Add `mkWeakTVar`
  * Add `isFullTBQueue`
  * Fix `TChan` created via `newBroadcastTChanIO` to throw same
    exception on a `readTChan` as when created via `newBroadcastTChan`
  * Update to Cabal 1.10 format
* Mon Sep  1 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file with cabal-rpm 0.8.6
  * require exact version of ghc-compiler
* Sat Aug 23 2014 peter.trommler@ohm-hochschule.de
- enable PowerPC builds
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- update to 2.4.2 from upstream
  * new feature: transactional semaphore
- part of update to Haskell Platform 2013.2
- more transparent packaging (fewer macros)
* Sun Dec 30 2012 peter.trommler@ohm-hochschule.de
- expand macro in name tag to help source validator
* Sat Nov 17 2012 peter.trommler@ohm-hochschule.de
- make service localonly for Factory submission
* Tue Oct  2 2012 peter.trommler@ohm-hochschule.de
- update to 2.4 from upstream (no changelog)
-required by Haskell Platform 2012.4.0.0
* Sun Jun  3 2012 peter.trommler@ohm-hochschule.de
- update to 2.3 from upstream (no changelog)
- required by Haskell Platform 2012.2.0.0
* Thu Feb 23 2012 peter.trommler@ohm-hochschule.de
- Added BuildRoot for sle11-sp1
* Wed Dec 28 2011 peter.trommler@ohm-hochschule.de
- Initial packaging.
